<?php

/**
 * 领取红包记录
 * User: solu
 */
class Sync_RedpackLogMeetOne extends Sync_Base {
    protected $dbKey = 'dw_chat';
    protected $frequency = 1;
    protected $index = 4;

    protected $dataField = ['transfer_trx_id', 'player', 'quantity', 'status', 'update_time_int'];

    /**
     * 清除数据的时间间隔
     * @var int
     */
    protected $clearTtl = 600;
    protected $clearAction = 'clearlog';

    public function __construct() {
        ENV === ENV_FORMAL && $GLOBALS['eosUrl'] = $GLOBALS['eosxURL']; // 改为MeetOne侧链

        parent::__construct('redpack_log', 'id', 'update_time_int', 'redpacklog', $GLOBALS['codeMeeMO'], ['net_id' => Eos::NET_MEETONE]);
    }

    protected function addNewRows($newRows) {
        parent::addNewRows($newRows);

        alermErrorMsg("redpack_log 不应该有新增数据, newRows:" . json_encode($newRows));
    }

    protected function updateRow($row, $priValue, $dbRow) {
        parent::updateRow($row, $priValue, $dbRow);
    }


}
